import { __rest, __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { parseMetadata } from '@highlight-ui/utils-commons';
import { Icon } from '@highlight-ui/icon';
import { Typography } from '@highlight-ui/typography';
import getInitials from './utils.js';
import styles from './Avatar.module.scss.js';

function getAvatarChild(src, name, imageClassname) {
  var initials = getInitials(name);
  if (src) return /*#__PURE__*/React.createElement("img", {
    className: classnames(styles.avatarImage, imageClassname),
    src: src,
    alt: initials
  });

  if (!name.length) {
    return /*#__PURE__*/React.createElement(Icon, {
      name: "user",
      type: "solid",
      size: 26,
      color: "icon-default"
    });
  }

  return /*#__PURE__*/React.createElement(Typography, {
    variant: "heading-3",
    component: "span",
    className: styles.avatarInitials
  }, initials);
}

function AvatarWithRef(_a, ref) {
  var _b;

  var _c = _a.src,
      src = _c === void 0 ? '' : _c,
      _d = _a.name,
      name = _d === void 0 ? '' : _d,
      url = _a.url,
      containerClassname = _a.containerClassname,
      _e = _a.animate,
      animate = _e === void 0 ? false : _e,
      _f = _a.imageClassname,
      imageClassname = _f === void 0 ? '' : _f,
      children = _a.children,
      metadata = _a.metadata,
      restProps = __rest(_a, ["src", "name", "url", "containerClassname", "animate", "imageClassname", "children", "metadata"]);

  return /*#__PURE__*/React.createElement("a", __assign({}, restProps, parseMetadata(metadata), {
    href: url,
    className: classnames(styles.avatarContainer, (_b = {}, _b[styles.avatarAnimated] = animate, _b), containerClassname),
    ref: ref
  }), children && typeof children === 'function' ? children(function () {
    return getAvatarChild(src, name, imageClassname);
  }) : getAvatarChild(src, name, imageClassname));
}

AvatarWithRef.displayName = 'Avatar';
var Avatar = /*#__PURE__*/React.forwardRef(AvatarWithRef);
export { Avatar as default };
//# sourceMappingURL=Avatar.js.map
