function getInitials(name, fallback) {
  if (fallback === void 0) {
    fallback = '?';
  }

  if (!name || typeof name !== 'string') return fallback;
  return name.split(' ').filter(Boolean) // filter out the empty strings
  .slice(0, 2) // We take only two words of the name for the initial
  .map(function (s) {
    return s[0].toUpperCase();
  }) // Convert the first digit of those two strings to uppercase
  .join('');
}

export { getInitials as default };
//# sourceMappingURL=utils.js.map
